Broadcom 'wl' Module and the 3.8 Through 3.10 Low Latency Kernels

I own a device with a Broadcom wifi radio. The options in terms of working drivers have expanded from the one in ~2004: there is the b43 driver, the brcmsmac/brcmfmac drivers, and Broadcom's proprietary 'wl' driver.  The former two will drain a battery that lasts 8 hours in less than 2, and in general, are Bad.

I run Ubuntu on my laptop as the drivers/mobile setup Just Work and I don't mind Unity. For whatever reason the broadcom-dkms-source package shits itself upon installation, something about interpreting compiler warnings as errors. The fix is to rummage around and find where the -Werror flag is being passed and hope that is the only reason it doesn't compile. It isn't, which will be apparent if you are running a lowlatency kernel build and on some generic builds as well. If you're a mobile user, I'm pretty sure the former is your default kernel. tldr: The broadcom 'wl' driver supplied in many repositories will shit itself in the build process.

There is a newer version of the driver which needs only one modification to compile successfully. Install the .deb and 'cd /var/lib/dkms/bcmwl/6.30.223.30+bdcom/source/patches' then 'sudo sed -i 's/MIXED\/Proprietary/GPL/' 0001-MODULE_LICENSE.patch && sudo dpkg-reconfigure bcmwl-kernel-source' and it should install successfully.